package com.style24.batch.biz.job.goods;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import com.style24.batch.biz.job.TsbAbstractJob;
import com.style24.batch.biz.service.TsbGoodsService;
import com.style24.persistence.domain.Goods;

import lombok.extern.slf4j.Slf4j;

/**
 * 상품 즉시할인가 생성
 *
 * @author eskim
 * @since 2020. 12. 02
 */
@Component
@Slf4j
public class TsbGoodsBenefitPriceJob extends TsbAbstractJob<Goods, Goods, Goods> {

	@Autowired
	private TsbGoodsService goodsService;

	private int succCnt = 0;
	private int failCnt = 0;

	@Override
	public Goods read() throws Exception {

		Goods goods = new Goods();
		return goods;
	}

	@Override
	public Goods process(Goods goods) throws Exception {
		return goods;
	}

	@Override
	public Goods write(Goods goods) throws Exception {

		goodsService.createGoodsBenefitPrice();
		return goods;
	}

	@Override
	public void notify(Goods goods) throws Exception {
		super.printResult(succCnt, failCnt);
	}

}